> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Variable



## OpenAPI

````yaml GET /io.pocketenv.variable.getVariable
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.variable.getVariable:
    get:
      tags:
        - io.pocketenv.variable
      operationId: io.pocketenv.variable.getVariable
      parameters:
        - name: id
          in: query
          description: The ID of the variable for which to retrieve variables.
          required: true
          schema:
            type: string
            description: The ID of the variable for which to retrieve variables.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  variable:
                    $ref: >-
                      #/components/schemas/io.pocketenv.variable.defs.variableView
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.variable.defs.variableView:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the environment variable.
        name:
          type: string
          description: Name of the environment variable, e.g. 'NODE_ENV', 'PORT', etc.
        value:
          type: string
          description: >-
            Value of the environment variable. This will be visible in API
            responses and should not contain sensitive information.
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````